import React from 'react';
import { useDispatch, useSelector } from 'react-redux';

export default function StepCounter() {
  const count = useSelector((state) => state.count);
  const dispatch = useDispatch();

  const handleIncreaseBy1 = () => {
    dispatch({ type: "count/increaseBy", amount: 1 });
  };

  const handleDecreaseBy1 = () => {
    dispatch({ type: "count/decreaseBy", amount: 1 });
  };

  const handleSetToFiveThousand = () => {
    dispatch({ type: "count/setToFiveThousand" });
  };

  return (
    <div>
      <h2>{count}</h2>
      <button onClick={handleDecreaseBy1}>-1</button>
      <button onClick={handleIncreaseBy1}>+1</button>
      <button onClick={handleSetToFiveThousand}>Set to 5000</button>
    </div>
  );
}
